# get card
data modify storage mineclash:data temp.card set from entity @s SelectedItem.tag

# process the card
execute as @e[type=minecraft:glow_item_frame, tag=mineclash_tile, nbt={ItemRotation: 1b}, distance=0..16] at @s run function mineclash:core/card/process

# deactivate the card
item modify entity @s weapon.mainhand mineclash:deactivate_card

# update public scoreboard
execute as @a[scores={mineclash.game.score=0..}] run function mineclash:core/player/update_score

# if board complete, end game
execute unless entity @e[type=minecraft:glow_item_frame, tag=mineclash_tile, nbt={Fixed:0b}, distance=0..16] run function mineclash:core/game/end

# if board not complete, next turn
execute if entity @e[type=minecraft:glow_item_frame, tag=mineclash_tile, nbt={Fixed:0b}, distance=0..16] run function mineclash:core/game/next_turn